Update Problems

server-mac

#1

Getting the following message when I try to install the latest update:

There was a problem installing the update:

Unable to create symlink/Applications/Plex MediaServer.app.new/Contents/Frameworks/Growl.framework/Growl to Versions/Current/Growl details:file exists

Can anyone help?


#2

just download it and replace in applications folder

https://www.plex.tv/downloads/


PMS 1.13.4.5271 unable to install
#3

So effectively reinstall the Plex media server!

Thanks.


#4

All the auto updater actually does is replace some contents of the app package in the Applications folder. Your doing basically the same thing.


#5

I’m having the same update problem, but already twice. The first time after reading this thread I installed the update to 1.13.2.5102 manually as suggested. Now for updating automatically to 1.13.2.5154 I again get the same error. I’ve restarted the server (Mac Mini, 10.13.5) and tried again. Nothing else changed on the system. What could be the underlying problem?


#6

@rullerulle said:
I’m having the same update problem, but already twice. The first time after reading this thread I installed the update to 1.13.2.5102 manually as suggested. Now for updating automatically to 1.13.2.5154 I again get the same error. I’ve restarted the server (Mac Mini, 10.13.5) and tried again. Nothing else changed on the system. What could be the underlying problem?

I think its to do with Apples security set up. I have noticed the same thing for a few months. its less convenient but i just do it manually. I dont think Plex can do much to sort this issue i believe its a problem on the Apple side of things.


#7

Ah, yes, OS security changes could indeed account for this. However, if that’s the case, this should affect every latest MacOS user and warrant an update that fixes this or lobbying by Plex with Apple. Something that breaks auto-update should be fixed.

@BigWheel , as you reacted before on this, what’s your view?


#8

Personally i think you should download the version and install it manually. I always do and keep the last few downloaded so if i ever want to go back i can. I personally do with with all my software. I never auto-update anything if i can avoid it.

but yeah auto updater should work if they are there. not sure why not working for y’all